> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference-sdk/api-reference/entity-management/verify-entity-aml.md).

# Verify Entity (AML)

This endpoint allows you to run a comprehensive AML check on an entity, this can either be a business or an individual.

<mark style="color:green;">`POST`</mark> `{{baseurl}}/v2/api/entities/:entityId/amlChecks`

#### Headers

| Name                                    | Type   | Description      |
| --------------------------------------- | ------ | ---------------- |
| token<mark style="color:red;">\*</mark> | String | API secret token |

#### Parameter

| Field                                      | Type   | Description                     |
| ------------------------------------------ | ------ | ------------------------------- |
| entityId<mark style="color:red;">\*</mark> | String | Id of the entity being checked. |

#### Request Body

| Field                                              | Type      | Description                                                                                                                                                                           |
| -------------------------------------------------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| entityType<mark style="color:red;">\*</mark>       | String    | <p>Type of entity being checked.</p><p>Allowed values: <mark style="color:$danger;"><code>"individual"</code></mark>, <mark style="color:$danger;"><code>"business"</code></mark></p> |
| isSubjectConsent<mark style="color:red;">\*</mark> | Boolean   | <p>Consent of the individual or business being checked.</p><p>Allowed values: <mark style="color:$danger;"><code>true</code></mark></p>                                               |
| incorporationNumber                                | String    | Business registration number(Required if amlCheckType is "id\_number").                                                                                                               |
| incorporationName                                  | String    | Registered name of the business.                                                                                                                                                      |
| incorporationCountry                               | String    | <p>Country code of business incorporation (ISO 3166-1 alpha-2).</p><p>Size range: <code>2</code></p>                                                                                  |
| incorporationDate                                  | String    | <p>Date the business was incorporated.</p><p>Size range: <mark style="color:$danger;"><code>YYYY-MM-DD</code></mark></p>                                                              |
| amlCheckType                                       | String    | <p>Type of AML check to perform.</p><p>Allowed values: <mark style="color:$danger;"><code>"name"</code></mark>, <mark style="color:$danger;"><code>"id\_number"</code></mark></p>     |
| amlChecks                                          | String\[] | Additional AML checks to perform.                                                                                                                                                     |
| ubos                                               | Object    | Information about Ultimate Beneficial Owners.                                                                                                                                         |
| uboList                                            | Object\[] | List of UBOs.                                                                                                                                                                         |
| category                                           | String    | <p>UBO type.</p><p>Allowed values: <mark style="color:$danger;"><code>"individual"</code></mark>, <mark style="color:$danger;"><code>"business"</code></mark></p>                     |
| firstName                                          | String    | Required if UBO is individual.                                                                                                                                                        |
| lastName                                           | String    | Required if UBO is individual.                                                                                                                                                        |
| incorporationName                                  | String    | Required if UBO is business.                                                                                                                                                          |
| amlChecks                                          | String\[] | AML checks to perform on UBOs.                                                                                                                                                        |
| firstName                                          | String    | Required if AML checks are present.                                                                                                                                                   |
| lastName                                           | String    | Required if AML checks are present.                                                                                                                                                   |
| dateOfBirth                                        | String    | <p>Required if AML checks are present.</p><p>Size range: <mark style="color:$danger;"><code>YYYY-MM-DD</code></mark></p>                                                              |
| nationality                                        | String    | <p>Required if AML checks are present.</p><p>Size range: <mark style="color:$danger;"><code>2</code></mark></p>                                                                       |

{% tabs %}
{% tab title="Verify Entity Sample Request (Individual)" %}

```json
{
    "entityType": "individual",
    "isSubjectConsent": true,
    "firstName": "John",
    "lastName": "Doe",
    "email": "john.doe@example.com",
    "phone": "+2348012345678",
    "gender": "male",
    "dateOfBirth": "1990-01-01",
    "nationality": "NG",
    "imageUrl": "http://someimage",
    "verifiedBy": "client"
}
```

{% endtab %}

{% tab title="Verify Entity Sample Request (Business)" %}

```json
{
    "entityType": "business",
    "isSubjectConsent": true,
    "incorporationName": "Acme Corp",
    "incorporationCountry": "NG",
    "incorporationDate": "2010-01-01",
    "amlCheckType": "name",
    "amlChecks": [
        "pep"
    ],
    "ubos": {
        "uboList": [
            {
                "category": "individual",
                "firstName": "Jon",
                "lastName": "Snow"
            }
        ],
        "amlChecks": [
            "pep"
        ]
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Success Response (Individual)" %}

```json
{
  "success": true,
  "status_code": 200,
  "message": "AML checks performed successfully!",
  "data": {
    "id": "ent_68343d1a83ab5c053a92511b",
    "entityType": "individual",
    "amlProcessedChecks": {
      "pep": {
        "status": "review_required",
        "reportId": "683505009fa4544ed0a350c3",
        "data": []
      }
    }
  },
  "links": []
}
```

{% endtab %}

{% tab title="Success Response (Business)" %}

```json
{
  "success": true,
  "status_code": 200,
  "message": "AML checks performed successfully!",
  "data": {
    "id": "ent_6834f77bc55aea948b907391",
    "entityType": "business",
    "amlProcessedChecks": {
      "sanctions": {
        "status": "not_cleared",
        "reportId": "68364960534488d5449f0784",
        "data": []
      }
    },
    "uboChecks": [
      {
        "ubo": "Jon Snow",
        "pep": {
          "status": "cleared",
          "reportId": "68364962534488d5449f0787",
          "data": []
        }
      }
    ]
  },
  "links": []
}
```

{% endtab %}

{% tab title="Error Response" %}

```json
HTTP/1.1 404 NotFound
{
  "success": false,
  "statusCode": 404,
  "message": "You have attempted to get a resource that does not exist.",
  "name": "ResourceNotFoundError",
  "data": {}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference-sdk/api-reference/entity-management/verify-entity-aml.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
